NumericRangeQueryBuilder (Lucene 3.6.2 API)
Keywords: org.apache.lucene.xmlparser.builders.NumericRangeQueryBuilder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.xmlparser.builders
Class NumericRangeQueryBuilder

    java.lang.Object
      org.apache.lucene.xmlparser.builders.NumericRangeQueryBuilder

All Implemented Interfaces:
  QueryBuilder

    public class NumericRangeQueryBuilder

extends Object
implements QueryBuilder

Creates a `NumericRangeQuery`. The table below specifies the required attributes and the defaults if optional attributes are omitted. For more detail on what each of the attributes actually do, consult the documentation for `NumericRangeQuery`:

Attribute name | Values | Required | Default
--- | --- | --- | ---
fieldName | String | Yes | N/A
lowerTerm | Specified by `type` | Yes | N/A
upperTerm | Specified by `type` | Yes | N/A
type | int, long, float, double | No | int
includeLower | true, false | No | true
includeUpper | true, false | No | true
precisionStep | Integer | No | 4

A `ParserException` will be thrown if an error occurs parsing the supplied `lowerTerm` or `upperTerm` into the numeric type specified by `type`.

Constructor Summary
`NumericRangeQueryBuilder()`

Method Summary
`org.apache.lucene.search.Query` | `getQuery(Element e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumericRangeQueryBuilder

    public NumericRangeQueryBuilder()

Method Detail

### getQuery

    public org.apache.lucene.search.Query getQuery(Element e)
                                            throws ParserException

  Specified by:
    `getQuery` in interface `QueryBuilder`
  Throws:
    `ParserException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD